//获取系统信息
function getSystemInfo() {
    wx.getSystemInfo({
        success(data) {
            console.log(data);
            alert('getSystemInfo:' + data.platform);
        },
    });
}
//获取网络状态
function getNetworkType() {
    wx.getNetworkType({
        success(data) {
            console.log(data);
            alert('getNetworkType:' + data.networkType);
        },
    });
}
//获取用户信息
wx.ready(function() {
    wx.getUserInfo({
        success(data) {
            alert('getUserInfo:' + data.userInfo.nickName);
        },
    });
})
//获取用户信息,未登陆的用户会强制弹起客户端登陆
function getUserInfoForce() {
    wx.getUserInfoForce({
        success(data) {
            console.log(data);
            alert('getNetworkType:' + data.nickName);
        },
    });
}
获取分享到朋友圈的内容
wx.ready(function() { //需在用户可能点击分享按钮前就先调用
    wx.updateTimelineShareData({
        title: '1',
        // 分享标题
        link: '3',
        // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
        imgUrl: '4',
        // 分享图标
        success: function() {
            // 设置成功
        }
    })
});
//获取分享给朋友的内容
wx.ready(function() { //需在用户可能点击分享按钮前就先调用
    wx.updateAppMessageShareData({
        title: '11',
        // 分享标题
        desc: '12',
        // 分享描述
        link: '13',
        // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
        imgUrl: '14',
        // 分享图标
        success: function() {
            // 设置成功
        }
    })
});
//分享到朋友圈
function onMenuShareTimeline() {
    wx.onMenuShareTimeline({
        title: 'title',
        // 分享标题
        link: 'http://www.baidu.com',
        // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
        imgUrl: 'https://inews.gtimg.com/newsapp_match/0/8491067972/0',
        // 分享图标
        success: function() {
            // 用户点击了分享后执行的回调函数
        }
    });
}
//分享到微信好友
function onMenuShareAppMessage() {
    wx.onMenuShareAppMessage({
        title: 'title',
        // 分享标题
        desc: 'desc',
        // 分享描述
        link: 'http://www.baidu.com',
        // 分享链接，该链接域名或路径必须与当前页面对应的公众号JS安全域名一致
        imgUrl: 'https://inews.gtimg.com/newsapp_match/0/8491067972/0',
        // 分享图标
        type: '',
        // 分享类型,music、video或link，不填默认为link
        dataUrl: '',
        // 如果type是music或video，则要提供数据链接，默认为空
        success: function() {
            // 用户点击了分享后执行的回调函数
        }
    });
}
//拍照或从手机相册中选图接口
function chooseImage(count) {
    wx.chooseImage({
        count: count,
        // 默认9
        sizeType: '',//['original', 'compressed'],
        // 可以指定是原图还是压缩图，默认二者都有
        sourceType: '',//['album', 'camera'],
        // 可以指定来源是相册还是相机，默认二者都有
        success: function(res) {
            var tempFilePaths = res.tempFilePaths; // 返回选定照片的本地ID列表，localId可以作为img标签的src属性显示图片
            var tempFiles = res.tempFiles;
            for (var i = 0; i < tempFilePaths.length; i++) {
//                var img = new Image();
                var src  = tempFilePaths[i];
//                img.src = 'file:///' + src;
//                document.getElementById("imgs").appendChild(img);
                uploadImage(src);
            }
        },
    });
}
//从手机相册选取视频
function chooseVideo() {
    wx.chooseVideo({
        sourceType: 'album',//['album', 'camera'],
        maxDuration: 60,
        camera: 'back',
        //默认拉起的是前置或者后置摄像头。部分 Android 手机下由于系统 ROM 不支持无法生效
        success(res) {
            var src=res.tempFilePath;
            alert(src);
            uploadVideo(src);
            video.src = src;
            video.with = 180;
            video.height = 180;
            video.autoplay = true;
            document.getElementById("video").appendChild(video);
            video.play();
        }
    });
}
//预览图片接口
function previewImage() {
    wx.previewImage({
        current: 'https://inews.gtimg.com/newsapp_bt/0/8395099921/1000',
        // 当前显示图片的http链接
        urls: ['https://inews.gtimg.com/newsapp_bt/0/8395099921/1000',
        'https://inews.gtimg.com/newsapp_bt/0/8395092438/1000',
        'https://inews.gtimg.com/newsapp_bt/0/8395098876/1000'] // 需要预览的图片http链接列表
    });
}
function getLocation(){
    wx.getLocation({
        type:"",
        success(res){
            alert(res.latitude+','+res.longitude);
        }
    });
}
function openLocation(){
    wx.openLocation({
        latitude:32.090423,
        longitude:118.804492,
        name:'江苏·南京',
        address:'',
        scale:17,
        infoUrl:''
    });
}
function startRecord(){
    wx.startRecord({});
}
function stopRecord(){
    wx.stopRecord({
        success(res){
            alert(res.tempFilePath);
            var audio = document.createElement("AUDIO");
            audio.controls = true;
            audio.src = res.tempFilePath;
            document.getElementById("audio").appendChild(audio);
        }
    });
}
function getWebToken(){
    wx.getWebToken({
        success(res){
            alert(res.token);
        }
    });
}
function uploadImage(localId){
    wx.uploadImage({
        localId: localId, // 需要上传的图片的本地ID，由chooseImage接口获得
        isShowProgressTips: 1, // 默认为1，显示进度提示
        success: function (res) {
            var serverId = res.serverId; // 返回图片的服务器端ID
            var progress = res.progress;
             if(null!=serverId&&''!=serverId){
                alert('图片上传完成：'+serverId);
                 var img = new Image();
                 img.src =serverId;
                 document.getElementById("imgs").appendChild(img);
             }else if(null!=progress&&''!=progress){
                  document.getElementById("upload_progress").innerText=progress;
             }
        }
    });
}
function uploadVoice(localId){
    wx.uploadVoice({
        localId: localId, // 需要上传的图片的本地ID，由chooseImage接口获得
        isShowProgressTips: 1, // 默认为1，显示进度提示
        success: function (res) {
          var serverId = res.serverId; // 返回图片的服务器端ID
          var progress = res.progress;
          if(null!=serverId&&''!=serverId){
              alert('音频上传完成：'+serverId);
           }else if(null!=progress&&''!=progress){
              document.getElementById("upload_progress").innerText=progress;
           }
        }
    });
}
function uploadVideo(localId){
    wx.uploadVideo({
        localId: localId, // 需要上传的图片的本地ID，由chooseImage接口获得
        isShowProgressTips: 1, // 默认为1，显示进度提示
        success: function (res) {
            var serverId = res.serverId; // 返回图片的服务器端ID
            var progress = res.progress;
             if(null!=serverId&&''!=serverId){
                  alert('视频上传完成：'+serverId);
            }else if(null!=progress&&''!=progress){
                 document.getElementById("upload_progress").innerText=progress;
            }
         }
    });
}
function jsbaPay(type){
    wx.jsbcPay({
        type:type,
        orderInfo:'',
        success:function(res){

        }
    });
}